Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.fastedge.kv_stores.list()
page = page.stores[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Fastedge.KvStores.List(context.TODO(), fastedge.KvStoreListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/fastedge/v1/kv \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/kv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"stores": [
{
"id": 123,
"name": "<string>",
"app_count": 123,
"comment": "<string>",
"size": 123
}
]
}Edge Storage
List available edge stores
Retrieve key-value storage stores available to the authenticated client. Stores can contain KV pairs, sorted sets, or bloom filters for edge application data.
GET
/
fastedge
/
v1
/
kv
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.fastedge.kv_stores.list()
page = page.stores[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Fastedge.KvStores.List(context.TODO(), fastedge.KvStoreListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Filter stores by application ID. Returns only stores associated with this app.
Required range:
x >= 1Maximum number of stores to return per page
Required range:
1 <= x <= 1000Number of stores to skip for pagination
Required range:
x >= 0Was this page helpful?